Subject: RE: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines to spaces

From: "Drew Adams" <[email-masked]>
Date: Sat, 19 Jan 2013 07:43:09 -0800

> > 1. Store in one variable the "raw" (untouched) search string, as
> > supplied by the user.
> 
> Such variable that holds the raw search string already exists.
> It is `isearch-string'.
> 
> > 2. Store in another variable (or define a function to get) the
> > "canonical" search string, based on the raw search string and the
> > "laxities" enabled at that moment for the search algorithm 
> (related to
> > whitespace, case-sensitivity, accents, etc).
> > 3. Display the canonical search string in the echo area and use it
> > also in the search algorithm.
> 
> Such variable used to display the search string in the echo 
> area already exists.
> It is `isearch-message'.
> 
> So we could use `isearch-message' to display the translated 
> search string but not to translate it in `isearch-string'.

Yes, +1.  But not just display it.  Be able to toggle it in place of
`isearch-string'.  IOW, be able to retrieve it, and go back and forth.

It might also be useful to be able to just display it, as a check.  (But a user
could just hit the toggle key twice for that.)